Push a batch of customer contact records from Boomi
curl --request POST \
--url https://api.example.com/v2/integrations/providers/boomi/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"remote_id": "<string>",
"customer_code": "<string>",
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"job_title": "<string>",
"company_code": "<string>"
}
]
'import requests
url = "https://api.example.com/v2/integrations/providers/boomi/contacts"
payload = [
{
"remote_id": "<string>",
"customer_code": "<string>",
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"job_title": "<string>",
"company_code": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
remote_id: '<string>',
customer_code: '<string>',
email: '<string>',
name: '<string>',
phone: '<string>',
job_title: '<string>',
company_code: '<string>'
}
])
};
fetch('https://api.example.com/v2/integrations/providers/boomi/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"received_at": "2023-11-07T05:31:56Z",
"results": [
{
"remote_id": "<string>",
"success": true,
"stuut_id": "<string>",
"error_code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}integrations
Push a batch of customer contact records from Boomi
Maximum 100 records per request. Each contact is upserted by remote_id
under the parent customer resolved from customer_code.
POST
/
v2
/
integrations
/
providers
/
boomi
/
contacts
Push a batch of customer contact records from Boomi
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
SAP contact identifier (Contact.remote_id)
KNA1-KUNNR of the parent customer
ADR6-SMTP_ADDR; required
BKPF-BUKRS of the parent customer. Optional — tenant routing is via the inbound Bearer key.
Push a batch of customer master records from BoomiPush a batch of invoice / credit-memo records from Boomi
⌘I
